DominoTransactionLogging (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoTransactionLogging interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoTransactionLogging

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoTransactionLogging

extends LogicalElement

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  DOMTRANSLOG
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAutomaticFixupOfCorruptDatabases()`
`java.lang.String` | `getLoggingStyle()`
`java.lang.String` | `getLogPath()`
`DominoServer` | `getParent()`
`int` | `getQuotaEnforcement()`
`int` | `getRuntimeRestartPerformance()`
`int` | `getTransactionLogging()`
`boolean` | `hasAutomaticFixupOfCorruptDatabases()`
`boolean` | `hasLoggingStyle()`
`boolean` | `hasLogPath()`
`boolean` | `hasParent()`
`boolean` | `hasQuotaEnforcement()`
`boolean` | `hasRuntimeRestartPerformance()`
`boolean` | `hasTransactionLogging()`
`void` | `setAutomaticFixupOfCorruptDatabases(int s)`
`void` | `setLoggingStyle(java.lang.String s)`
`void` | `setLogPath(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setQuotaEnforcement(int s)`
`void` | `setRuntimeRestartPerformance(int s)`
`void` | `setTransactionLogging(int s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setTransactionLogging

    void setTransactionLogging(int s)

### getTransactionLogging

    int getTransactionLogging()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTransactionLogging

    boolean hasTransactionLogging()

### setLogPath

    void setLogPath(java.lang.String s)

### getLogPath

    java.lang.String getLogPath()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLogPath

    boolean hasLogPath()

### setLoggingStyle

    void setLoggingStyle(java.lang.String s)

### getLoggingStyle

    java.lang.String getLoggingStyle()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLoggingStyle

    boolean hasLoggingStyle()

### setAutomaticFixupOfCorruptDatabases

    void setAutomaticFixupOfCorruptDatabases(int s)

### getAutomaticFixupOfCorruptDatabases

    int getAutomaticFixupOfCorruptDatabases()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAutomaticFixupOfCorruptDatabases

    boolean hasAutomaticFixupOfCorruptDatabases()

### setRuntimeRestartPerformance

    void setRuntimeRestartPerformance(int s)

### getRuntimeRestartPerformance

    int getRuntimeRestartPerformance()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRuntimeRestartPerformance

    boolean hasRuntimeRestartPerformance()

### setQuotaEnforcement

    void setQuotaEnforcement(int s)

### getQuotaEnforcement

    int getQuotaEnforcement()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasQuotaEnforcement

    boolean hasQuotaEnforcement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD